GEThttps://api.deepinfo.com/v1/cti/threat-actors/{threat_actor_id}

Returns one threat actor profile.

Authentication

Send your API key in the apikey request header.

Path Parameters

ParameterRequiredDescription
threat_actor_idRequired
Example<threat_actor_id>

Response Fields

FieldTypeDescription
idstring
namestring
aliasesarray of string
date_updatedstring
date-time
date_first_seenstring
date-time
date_last_seenstring
date-time
is_activeboolean
actor_sizestring
actor_typesarray of string
actor_sophisticationstring
actor_specializationsarray of string
descriptionstring
law_enforcementstring
contact_infoobject
social_mediaobject
websitesarray of string
payment_infoobject
origin_countriesarray of string
leak_namesarray of string
forum_namesarray of string
market_namesarray of string
forum_market_usernamesarray of string
targeted_regionsarray of string
targeted_countriesarray of string
targeted_industriesarray of string
targeted_organizationsarray of string
cves_usedarray of string
tools_usedarray of string

No example response yet. The response's fields are listed above.

Examples

The request and response panels show this example.

  • Not Found (nonexistent threat_actor_id)GET/cti/threat-actors/ffffffffffffffffffffffff404 Not Found

Reference updated